#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBA,0x48,0xCA,0x01,0x6C,0x8A,0xA8,0xE4,0xE5,0x6D,0x26,0xD7,
		0xAE,0x67,0x30,0x28,0x59,0x92,0x66,0xFB,0xD3,0xC8,0x19,0x41,
		0xAB,0x9D,0x98,0xEE,0xC0,0x1C,0x0C,0xC2,0xB5,0xB5,0xC6,0x32,
		0x81,0xFF,0x50,0xFC,0x30,0xA0,0x7F,0x70,0x59,0xB8,0xF2,0x59,
		0xEA,0xEF,0xF2,0x10,0x06,0x93,0x46,0xB4,0xA6,0xF7,0x7B,0xC1,
		0xCF,0x35,0x0D,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
